ooo-build r15114 - in trunk: . bin



Author: pmladek
Date: Wed Jan 21 17:11:48 2009
New Revision: 15114
URL: http://svn.gnome.org/viewvc/ooo-build?rev=15114&view=rev

Log:
2009-01-21  Petr Mladek  <pmladek suse cz>

	* bin/test-ooo: check whether the userConfigDir variable is set
	  correctly; also pass test.list through dos2unix to avoid problems
	  on Windows systems



Modified:
   trunk/ChangeLog
   trunk/bin/test-ooo

Modified: trunk/bin/test-ooo
==============================================================================
--- trunk/bin/test-ooo	(original)
+++ trunk/bin/test-ooo	Wed Jan 21 17:11:48 2009
@@ -8,13 +8,13 @@
 
 
 #TESTTOOL=/opt/openoffice.org2.0/program/testtool.bin
-testToolBin=/usr/lib/ooo-2.1/program/testtool.bin
+export testToolBin=/usr/lib/ooo3/basis3.0/program/testtool.bin
 
 # where the qatesttool is stored (testcases)
-testToolRoot=/test/OOo/qa/qatesttool
+export testToolRoot=/test/OOo/qa/qatesttool
 
 # path to the user configuration directory
-userConfigDir=$HOME/.ooo-2.0
+export userConfigDir=$HOME/.ooo3/
 
 # all tests will be skipped until this script name is found
 # define empty string to do not skip any test
@@ -45,12 +45,17 @@
     usage && exit 1;
 fi
 
+if ! which dos2unix >/dev/null 2>&1 ; then
+    echo "Error: dos2unix utility is not installed"
+    exit 1;
+fi
+
 # list of test to be started
 testList=
 if  test ! -f "$1" ; then
     echo "Error: cannot read \"$1\", try --help" && exit 1;
 else
-    testList=`cat "$1" | sed "s|\#.*$||"`
+    testList=`cat "$1" | dos2unix | sed "s|\#.*$||"`
 fi
 
 # list of tests to be skipped
@@ -59,7 +64,7 @@
     if test ! -f "$2" ; then
 	echo "Error: cannot read \"$2\", try --help" && exit 1;
     else
-	testBlackList=`cat "$2" | sed "s|\#.*$||"`
+	testBlackList=`cat "$2" | dos2unix | sed "s|\#.*$||"`
     fi
 fi
     
@@ -79,6 +84,27 @@
     return 1
 }
 
+run_test()
+{
+    test="$1"
+    # first, remove the potentially broken user configuration
+    rm -rf "$userConfigDir"
+    "$testToolBin" -run "$test"
+    sleep 5
+    killall soffice.bin
+    # just to be sure
+    sleep 2
+    killall -9 soffice.bin
+}
+
+echo "Checking userConfigDir variable..."
+run_test "$testToolRoot/global/tools/closeoffice.bas"
+if ! test -d "$userConfigDir" ; then
+    echo "Error: The user config directory does not exists: $userConfigDir"
+    echo "       Please, check the setting of the variable userConfigDir in $0"
+    exit 1;
+fi
+
 # will we skip any test?
 test -n "$SKIP_TO_TEST" && skip_tests=true || skip_tests=false
 
@@ -94,13 +120,6 @@
 	echo "Skipping test $test..."
     else
 	echo "Starting test $test..."
-	# first, remove the potentially broken user configuration
-	rm -rf $userConfigDir
-	$testToolBin -run $testToolRoot/$test
-	sleep 5
-	killall soffice.bin
-	# just to be sure
-	sleep 2
-	killall -9 soffice.bin
+	run_test "$testToolRoot/$test"
     fi
 done



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]